Skip to main content
GET
/
webhooks-journal
/
journal-local
/
2026-03
/
batch
/
latest
/
{count}
Retrieve latest batch
curl --request GET \
  --url https://api.hubapi.com/webhooks-journal/journal-local/2026-03/batch/latest/{count} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "currentOffset": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "expiresAt": "2023-11-07T05:31:56Z",
      "url": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

count
integer<int32>
required

The number of journal entries to retrieve. Must be an integer with a minimum value of 1.

Required range: x >= 1

Query Parameters

installPortalId
integer<int32>

The ID of the portal installation. This parameter is optional and used to filter the journal entries by a specific portal.

Response

successful operation

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of results from the batch operation, each represented as a JournalFetchResponse object.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A map of link names to associated URIs related to the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on April 14, 2026